Management Groups - Get
Get the details of the management group.
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/{groupId}?api-version=2020-05-01
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/{groupId}?api-version=2020-05-01&$expand={$expand}&$recurse={$recurse}&$filter={$filter}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
group
|
path | True |
string |
Management Group ID. |
|
api-version
|
query | True |
string |
Version of the API to be used with the client request. The current version is 2018-01-01-preview. |
|
$expand
|
query |
string |
The $expand=children query string parameter allows clients to request inclusion of children in the response payload. $expand=path includes the path from the root group to the current group. |
|
|
$filter
|
query |
string |
A filter which allows the exclusion of subscriptions from results (i.e. '$filter=children.childType ne Subscription') |
|
|
$recurse
|
query |
boolean |
The $recurse=true query string parameter allows clients to request inclusion of entire hierarchy in the response payload. Note that $expand=children must be passed up if $recurse is set to true. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Cache-Control |
string |
Indicates that the request shouldn't utilize any caches. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Error |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
|
Get |
|
Get |
|
Get |
GetManagementGroup
Sample request
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/20000000-0001-0000-0000-000000000000?api-version=2020-05-01
Sample response
{
"id": "/providers/Microsoft.Management/managementGroups/20000000-0001-0000-0000-000000000000",
"type": "Microsoft.Management/managementGroups",
"name": "20000000-0001-0000-0000-000000000000",
"properties": {
"tenantId": "20000000-0000-0000-0000-000000000000",
"displayName": "Group 1 Tenant 2",
"details": {
"version": 1,
"updatedTime": "2018-01-01T00:00:00.00Z",
"updatedBy": "16b8ef21-5c9f-420c-bcc9-e4f8c9f30b4b",
"parent": {
"id": "/providers/Microsoft.Management/managementGroups/RootGroup",
"name": "RootGroup",
"displayName": "RootGroup"
}
}
}
}
GetManagementGroupsWithExpandAndRecurse
Sample request
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/20000000-0001-0000-0000-000000000000?api-version=2020-05-01&$expand=children&$recurse=True
Sample response
{
"id": "/providers/Microsoft.Management/managementGroups/RootGroup",
"type": "Microsoft.Management/managementGroups",
"name": "RootGroup",
"properties": {
"tenantId": "20000000-0000-0000-0000-000000000000",
"displayName": "RootGroup",
"details": {
"version": 2,
"updatedTime": "2018-01-25T02:26:49.0022093Z",
"updatedBy": "bd490e30-04cb-433e-b8c8-6066959a8bab",
"parent": {
"id": "/providers/Microsoft.Management/managementGroups/20000000-0000-0000-0000-000000000000",
"name": "20000000-0000-0000-0000-000000000000",
"displayName": "20000000-0000-0000-0000-000000000000"
}
},
"children": [
{
"id": "/providers/Microsoft.Management/managementGroups/Child",
"type": "Microsoft.Management/managementGroups",
"name": "Child",
"displayName": "Child",
"children": [
{
"id": "/providers/Microsoft.Management/managementGroups/Leaf",
"type": "Microsoft.Management/managementGroups",
"name": "Leaf",
"displayName": "Leaf",
"children": [
{
"id": "/subscriptions/728bcbe4-8d56-4510-86c2-4921b8beefbc",
"type": "/subscriptions",
"name": "728bcbe4-8d56-4510-86c2-4921b8beefbc",
"displayName": "Pay-As-You-Go"
}
]
}
]
},
{
"id": "/providers/Microsoft.Management/managementGroups/AnotherChild",
"type": "Microsoft.Management/managementGroups",
"name": "AnotherChild",
"displayName": "Leaf"
}
]
}
}
GetManagementGroupWithExpand
Sample request
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/20000000-0001-0000-0000-000000000000?api-version=2020-05-01&$expand=children
Sample response
{
"id": "/providers/Microsoft.Management/managementGroups/20000000-0001-0000-0000-000000000000",
"type": "Microsoft.Management/managementGroups",
"name": "20000000-0001-0000-0000-000000000000",
"properties": {
"tenantId": "20000000-0000-0000-0000-000000000000",
"displayName": "Group 1 Tenant 2",
"details": {
"version": 1,
"updatedTime": "2018-01-01T00:00:00.00Z",
"updatedBy": "Test",
"parent": {
"id": "/providers/Microsoft.Management/managementGroups/20000000-0000-0000-0000-000000000000",
"name": "20000000-0000-0000-0000-000000000000",
"displayName": "20000000-0000-0000-0000-000000000000"
}
},
"children": [
{
"id": "/providers/Microsoft.Management/managementGroups/20000000-0002-0000-0000-000000000000",
"type": "Microsoft.Management/managementGroups",
"name": "20000000-0002-0000-0000-000000000000",
"displayName": "Group 2 Tenant 2"
},
{
"id": "/providers/Microsoft.Management/managementGroups/20000000-0003-0000-0000-000000000000",
"type": "Microsoft.Management/managementGroups",
"name": "20000000-0003-0000-0000-000000000000",
"displayName": "Group 3 Tenant 2"
},
{
"id": "/subscriptions/10000000-F004-0000-0000-000000000000",
"type": "/subscriptions",
"name": "10000000-F004-0000-0000-000000000000",
"displayName": "Subscription 4 Tenant 1"
},
{
"id": "/subscriptions/20000000-F005-0000-0000-000000000000",
"type": "/subscriptions",
"name": "20000000-F005-0000-0000-000000000000",
"displayName": "Subscription 5 Tenant 2"
},
{
"id": "/subscriptions/30000000-F003-0000-0000-000000000000",
"type": "/subscriptions",
"name": "30000000-F003-0000-0000-000000000000",
"displayName": "Subscription 3 Tenant 3"
}
]
}
}
Definitions
| Name | Description |
|---|---|
|
Error |
The details of the error. |
|
Error |
The error object. |
|
Management |
The management group details. |
|
Management |
The child information of a management group. |
|
Management |
The type of child resource. |
|
Management |
The details of a management group. |
|
Management |
A path element of a management group ancestors. |
|
Parent |
(Optional) The ID of the parent management group. |
ErrorDetails
The details of the error.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| details |
string |
A human-readable representation of the error's details. |
| message |
string |
A human-readable representation of the error. |
ErrorResponse
The error object.
| Name | Type | Description |
|---|---|---|
| error |
Error |
ManagementGroup
The management group details.
| Name | Type | Description |
|---|---|---|
| id |
string |
The fully qualified ID for the management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the management group. For example, 00000000-0000-0000-0000-000000000000 |
| properties.children |
The list of children. |
|
| properties.details |
Details |
|
| properties.displayName |
string |
The friendly name of the management group. |
| properties.tenantId |
string |
The AAD Tenant ID associated with the management group. For example, 00000000-0000-0000-0000-000000000000 |
| type |
string |
The type of the resource. For example, Microsoft.Management/managementGroups |
ManagementGroupChildInfo
The child information of a management group.
| Name | Type | Description |
|---|---|---|
| children |
The list of children. |
|
| displayName |
string |
The friendly name of the child resource. |
| id |
string |
The fully qualified ID for the child resource (management group or subscription). For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the child entity. |
| type |
The type of child resource. |
ManagementGroupChildType
The type of child resource.
| Value | Description |
|---|---|
| Microsoft.Management/managementGroups | |
| /subscriptions |
ManagementGroupDetails
The details of a management group.
| Name | Type | Description |
|---|---|---|
| parent |
Parent |
|
| path |
The path from the root to the current group. |
|
| updatedBy |
string |
The identity of the principal or process that updated the object. |
| updatedTime |
string (date-time) |
The date and time when this object was last updated. |
| version |
number (int32) |
The version number of the object. |
ManagementGroupPathElement
A path element of a management group ancestors.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The friendly name of the group. |
| name |
string |
The name of the group. |
ParentGroupInfo
(Optional) The ID of the parent management group.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The friendly name of the parent management group. |
| id |
string |
The fully qualified ID for the parent management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the parent management group |